Method: advertisers.reachForecast.retrievePlannableUserInterests

予測に使用できる Google オーディエンス(ユーザーの興味 / 関心)を取得します。

HTTP リクエスト

GET https://displayvideo.googleapis.com/v4/advertisers/{advertiserId}/reachForecast:retrievePlannableUserInterests

この URL は gRPC Transcoding 構文を使用します。

パスパラメータ

パラメータ
advertiserId

string (int64 format)

必須。プランニング可能なユーザーの興味 / 関心の一覧を取得する広告主の ID。

クエリ パラメータ

パラメータ
productCategory

enum (PlannableProductCategory)

必須。プランニング可能なユーザーの興味 / 関心を取得する商品カテゴリ。

リクエストの本文

リクエストの本文は空にする必要があります。

レスポンスの本文

reachForecast.retrievePlannableUserInterests のレスポンス。

成功した場合、レスポンスの本文には次の構造のデータが含まれます。

JSON 表現
{
  "plannableUserInterests": [
    {
      object (PlannableUserInterest)
    }
  ]
}
フィールド
plannableUserInterests[]

object (PlannableUserInterest)

プランニング可能なユーザーの興味 / 関心(Google オーディエンス)のリスト。

認可スコープ

次の OAuth スコープが必要です。

  • https://www.googleapis.com/auth/display-video

詳細については、 OAuth 2.0 Overviewをご覧ください。

PlannableUserInterest

ターゲティングに使用されるプランニング可能なユーザーの興味 / 関心。

JSON 表現
{
  "userInterestDisplayName": string,
  "userInterestPath": string,
  "userInterestType": string,
  "userInterest": {
    object (UserInterest)
  }
}
フィールド
userInterestDisplayName

string

出力専用。興味 / 関心の表示名(「アウトドア愛好家」など)。

userInterestPath

string

出力専用。興味 / 関心のカテゴリパス。

userInterestType

string

出力専用。オーディエンスのタイプ(「アフィニティ」、「購買意向の強いユーザー」など)。

userInterest

object (UserInterest)

出力専用。ユーザーの興味 / 関心の識別子。

リクエストで指定された [productCategory][] によって、オブジェクトに入力されるフィールドが決まります。

  • [userInterestCategory][] には「YouTube」が入力されます。
  • [userInterestUserList][] には「公開オークション」が入力されます。

UserInterest

ユーザーの興味 / 関心の識別子。

JSON 表現
{
  "userInterestCategory": string,
  "userInterestUserList": string
}
フィールド
userInterestCategory

string

出力専用。インタレスト カテゴリのリソース名。productCategory が「YouTube」の場合に入力されます。形式: customers/{customerId}/userInterests/{user_interest_id}

userInterestUserList

string

出力専用。ユーザーリストのリソース名。productCategory が「公開オークション」の場合に入力されます。形式: customers/{customerId}/userLists/{user_list_id}